> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lerian.studio/llms.txt
> Use this file to discover all available pages before exploring further.

# Recuperar uma entrada

> Use este endpoint para recuperar uma entrada Pix pelo seu identificador único.



## OpenAPI

````yaml pt/openapi/v3-current/indirect-pix.yaml GET /v1/dict/entries/{entry_id}
openapi: 3.0.3
info:
  title: Plugin BR Pix Indireto - API Completa
  description: |
    API completa para o sistema brasileiro de pagamentos instantâneos Pix,
    incluindo operações de dicionário de chaves Pix, geração/decodificação de
    QR Code, transações e limites de transações.
  version: 1.0.0
servers:
  - url: https://plugin-pix-indirect.api.lerian.net
security:
  - bearerAuth: []
paths:
  /v1/dict/entries/{entry_id}:
    get:
      tags:
        - DICT API
      summary: Recuperar uma entrada
      description: >-
        Use este endpoint para recuperar uma entrada Pix pelo seu identificador
        único.
      parameters:
        - $ref: '#/components/parameters/EntryId'
        - $ref: '#/components/parameters/XAccountId'
      responses:
        '200':
          description: Entrada Pix recuperada com sucesso.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EntryObject'
        '400':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
              examples:
                ErrorPIX0001:
                  $ref: '#/components/examples/ErrorPIX0001'
                ErrorPIX0002:
                  $ref: '#/components/examples/ErrorPIX0002'
                ErrorPIX0008:
                  $ref: '#/components/examples/ErrorPIX0008'
        '404':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
              examples:
                ErrorPIX0112:
                  $ref: '#/components/examples/ErrorPIX0112'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorFormat'
              examples:
                ErrorPIX0000:
                  $ref: '#/components/examples/ErrorPIX0000'
      deprecated: false
      security:
        - bearerAuth: []
components:
  parameters:
    EntryId:
      name: entry_id
      in: path
      description: Identificador único da entrada Pix (formato UUID).
      required: true
      example: 019c96a0-0c0c-7221-8cf3-13313fb60081
      schema:
        type: string
    XAccountId:
      name: X-Account-Id
      in: header
      description: Identificador único da Conta do Ledger Midaz (formato UUID).
      required: true
      example: 019c96a0-0a98-7287-9a31-786e0809c769
      schema:
        type: string
  schemas:
    EntryObject:
      type: object
      properties:
        id:
          type: string
          description: Identificador único da entrada (formato UUID).
          example: 019c96a0-0c0c-7221-8cf3-13313fb60081
        key:
          type: string
          description: Valor da chave Pix.
          example: john.doe@example.com
        keyType:
          type: string
          description: Tipo de chave Pix.
          example: EMAIL
        status:
          type: string
          description: Status da entrada (ACTIVE, INACTIVE).
          example: ACTIVE
        account:
          $ref: '#/components/schemas/AccountDetails'
        owner:
          $ref: '#/components/schemas/OwnerDetails'
        createdAt:
          type: string
          format: date-time
          description: Timestamp de criação.
          example: '2024-01-15T10:30:00Z'
        updatedAt:
          type: string
          format: date-time
          description: Timestamp da última atualização.
          example: '2024-01-15T10:30:00Z'
    ErrorFormat:
      type: object
      description: A mensagem de erro da resposta.
      required:
        - code
        - title
        - message
      properties:
        code:
          type: string
          description: Um identificador único e estável para o erro.
        title:
          type: string
          description: Um breve resumo do problema.
        message:
          type: string
          description: Orientação detalhada para resolver o erro.
    AccountDetails:
      type: object
      properties:
        branch:
          type: string
          description: Código da agência bancária.
          example: '0001'
        number:
          type: string
          description: Número da conta.
          example: '123456789'
        participant:
          type: string
          description: ISPB da instituição participante.
          example: '12345678'
        type:
          type: string
          description: Tipo de conta.
          example: TRAN
    OwnerDetails:
      type: object
      properties:
        name:
          type: string
          description: Nome do proprietário.
          example: John Doe
        taxIdNumber:
          type: string
          description: CPF ou CNPJ.
          example: '12345678901'
        type:
          type: string
          enum:
            - NATURAL_PERSON
            - LEGAL_PERSON
          description: Tipo de proprietário.
          example: NATURAL_PERSON
  examples:
    ErrorPIX0001:
      summary: Missing Headers in Request
      value:
        code: PIX-0001
        title: Missing Headers in Request
        message: >-
          Your request is missing one or more required header params. Please
          refer to the documentation to ensure all necessary header params are
          included in your request.
    ErrorPIX0002:
      summary: Invalid Header Value
      value:
        code: PIX-0002
        title: Invalid Header Value
        message: >-
          One or more header values are invalid. Please refer to the
          documentation to verify the expected format and allowed values for
          each header.
    ErrorPIX0008:
      summary: Invalid Path Parameter in Request
      value:
        code: PIX-0008
        title: Invalid Path Parameter in Request
        message: >-
          One or more path parameters are invalid. Please refer to the
          documentation to verify the expected format and allowed values for
          each path parameter.
    ErrorPIX0112:
      summary: Entry Not Found
      value:
        code: PIX-0112
        title: Entry Not Found
        message: The entry was not found.
    ErrorPIX0000:
      summary: Internal Server Error
      value:
        code: PIX-0000
        title: Internal Server Error
        message: The server encountered an unexpected error. Please try again later.
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````